Subject: [ipcdn] The prefix for the DOCSIS-IEFT-QOS-MIB

From: Murwin William-LWM008 <[email-masked]>
Date: Mon, 24 Jan 2005 10:57:11 -0500

I am currently in the process of updating the draft-ietf-ipcdn-qos-mib-11.txt, in-order to address the rooting issue of this MIB.

There has been significant discussion about how this version and version 4 will exist together in SNMP manager and agents. IPCDN even went as far as changing this mib MODULE-IDENTIER in order to be able to support both mibs within the same SNMP manager. However, from my own personal experience this seems not to be enough for some SNMP managers, and usually only one of the version can only be installed. 

With this update I am willing on change the the MIB Module Descriptor from "docsQosMIB" to "docsIetfQosMIB" and changing all the MIB objects prefix from "docsQos" to "docsIetfQos".

Please respond if you feel strongly either way.

Sincerely,
Will

______________________________
William Murwin
Broadband Communications Sector
Motorola Inc.
Email: [email-masked]
Tel: (508) 786-7594

_______________________________________________
IPCDN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipcdn

---

From: "Randy Presuhn" <[email-masked]>
Date: Mon, 24 Jan 2005 13:48:28 -0800

Hi -

> From: "Murwin William-LWM008" <[email-masked]>
> To: "IPCDN (E-mail) (E-mail)" <[email-masked]>
> Cc: "'Jean-Francois Mule'" <[email-masked]>; "Patrick Michael-LZZ007" <[email-masked]>;
<[email-masked]>
> Sent: Monday, January 24, 2005 7:57 AM
> Subject: [ipcdn] The prefix for the DOCSIS-IEFT-QOS-MIB
...
> There has been significant discussion about how this version and version 4
> will exist together in SNMP manager and agents. IPCDN even went as far
> as changing this mib MODULE-IDENTIER in order to be able to support
> both mibs within the same SNMP manager. However, from my own
> personal experience this seems not to be enough for some SNMP managers,
> and usually only one of the version can only be installed.
...

I'm amazed that after these years these broken tools could still be in use.
Though the need to keep name spaces distinct has been obvious since
RFC 1212 in 1991, and was spelled out even more clearly back in 1993,
in RFC 1442.  If a vendor can't fix an obvious error after a decade, it's
time to find a different implementation.

But, if this broken gear is pervasive in the IPCDN sector, and vendors
aren't willing or able to do things correctly, then Murwin's suggestion is
a prudent course to follow.  (Note that if both versions are to in some
sense be considered "standards", then one could argue that RFC 2578
section 3.1 paragraph four applies.)

Randy